package notify



//推送到消息系统的公共消息
type NotifyServer struct {
	MsgType     int         `json:"msg_type"`
	MsgData     interface{} `json:"msg_data"`
	Source      int         `json:"source"`
	MsgSendTime int64       `json:"msg_send_time"`
}

//推送到消息系统的售后消息
type NotifyRefundData struct {
	AfsServiceId   interface{} `json:"afs_service_id"` //三方服务单号
}
//推送到消息系统的订单消息
type NotifyOrderData struct {
	ThirdChildOrderSn string `json:"third_child_order_sn"`//三方子订单号
	ThirdOrderSn      string `json:"third_order_sn"` 	  //三方订单号
}
//推送到消息系统的商品消息
type NotifyGoodsData struct {
	ThirdGoodsInfo []ThirdGoods `json:"third_goods"` //三方商品信息
}

type ThirdGoods struct {
	ThirdId int   `json:"third_id"` //三方商品id
	Skus    []int `json:"skus"` //三方规格id
}

//通知消息系统
type NotifyMessage struct {
	ID       int         `json:"id"`
	Type     interface{} `json:"type"`
	Data     interface{} `json:"data"`
	URL      string      `json:"url"`
	AppID    int         `json:"app_id"`
	PushTime int         `json:"push_time"`
	Times    int         `json:"times"`
}

//通知客户商品/选品消息
type GoodsMsgData struct {
	GoodsIDs []int `json:"goods_id"`
}
//通知客户订单消息
type OrderMsgData struct {
	OrderSn string `json:"orderSn"`
	Sku     uint   `json:"sku"`
}
//通知客户售后消息
type RefundMsgData struct {
	AfterSaleID uint   `json:"afterSaleId"`
	OrderSn     string `json:"orderSn"`
	Sku         uint   `json:"sku"`
}
//通知客户标签消息
type TagsMsgData struct {
	Tags     string `json:"tags"`
}

